Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Interface DeploymentHandler

All Known Subinterfaces:
  ClassDeploymentHandler

All Known Implementing Classes:
  AbstractClassDeploymentHandler, AbstractDeploymentHandler, AnnotationDeploymentHandler, ComponentDeploymentHandler, ComponentsXmlDeploymentHandler, DotComponentDotXmlDeploymentHandler, DotPageDotXmlDeploymentHandler, GroovyDeploymentHandler, NamespaceDeploymentHandler, PageflowDeploymentHandler, PagesDotXmlDeploymentHandler

    public interface DeploymentHandler

A deployment handler is responsible for processing found resources All deployment handlers should specify a unique name under which they will be registered with the `DeploymentStrategy`

Author:
  Pete Muir

Method Summary
`DeploymentMetadata` | `getMetadata()` Get DeploymentHandlerMetadata for resources this deployment handler is interested in processing.
`String` | `getName()` A key used to identify the deployment handler
`Set<FileDescriptor>` | `getResources()`
`void` | `postProcess(ClassLoader classLoader)`
`void` | `setResources(Set<FileDescriptor> resources)`

Method Detail

### getName

    String getName()

  A key used to identify the deployment handler

### getMetadata

    DeploymentMetadata getMetadata()

  Get DeploymentHandlerMetadata for resources this deployment handler is interested in processing. If a deployment handler is interested in a number of files it should define multiple pieces of metadata

### postProcess

    void postProcess(ClassLoader classLoader)

### getResources

    Set<FileDescriptor> getResources()

### setResources

    void setResources(Set<FileDescriptor> resources)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.